<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('JPATH_BASE') or die;
jimport('joomla.form.formfield');

class JFormFieldAsset extends JFormField {
        protected $type = 'asset';
        protected function getInput() {
                $doc = JFactory::getDocument();
                return null;
        }
}

class JFormFieldTsgcolor extends JFormField

{

	protected $type = 'tsgcolor';

	protected function getInput()

	{

	$document = JFactory::getDocument();

	$document->addScript(JURI::root() . 'modules/mod_ext_css3_photo_gallery/admin/jscolor.js');

	$size		= $this->element['size'] ? ' size="'.(int) $this->element['size'].'"' : '';

	$maxLength	= $this->element['maxlength'] ? ' maxlength="'.(int) $this->element['maxlength'].'"' : '';

	$id			= $this->element['id'] ? ' id="'.(string) $this->element['id'].'"' : '';

	$previewid	= $this->element['previewid'] ? ' id="'.(string) $this->element['previewid'].'"' : '';

	$readonly	= ((string) $this->element['readonly'] == 'true') ? ' readonly="readonly"' : '';

	$disabled	= ((string) $this->element['disabled'] == 'true') ? ' disabled="disabled"' : '';

	$onchange	= $this->element['onchange'] ? ' onchange="'.(string) $this->element['onchange'].'"' : '';

	$html = array();

	$class = $this->element['class'] ? (string) $this->element['class'] : 'color';

	return '<input type="text" name="'.$this->name.'" id="'.$this->id.'" class="'.$class.'" value="'.htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8').'">';

	}
	
}

?>