<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 06/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
	$document 			=& JFactory::getDocument();
	$document->addStyleSheet(JURI::base() . 'modules/mod_ext_css3_photo_gallery/css/default.css');
	$moduleclass_sfx	= $params->get('moduleclass_sfx');
	$ext_width			= $params->get('ext_width',600); // block
	// mini images
	$ext_mini_height	= $params->get('ext_mini_height',135);
	$ext_mini_width		= $params->get('ext_mini_width',180);
	// big images
	$ext_big_width		= $params->get('ext_big_width',300);
	$ext_big_height		= $params->get('ext_big_height',300);
	// border images
	$ext_border_width	= $params->get('ext_border_width',0);
	$ext_border_color	= $params->get('ext_border_color','fff');
	$ext_shadow_color	= $params->get('ext_shadow_color','444');
	
//array	
$names = array('img', 'alt');
$max = 10;
foreach($names as $name) {
    ${$name} = array();
    for($i = 1; $i <= $max; ++$i)
        ${$name}[] = $params->get($name . $i);
}	
require JModuleHelper::getLayoutPath('mod_ext_css3_photo_gallery', $params->get('layout', 'default'));

?>