<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
$document->addCustomTag('
<style type="text/css">
	.ext_css3_photo_gallery div {
		width:'.$ext_mini_width.'px;
		height:'.$ext_mini_height.'px;
	}
	.ext_css3_photo_gallery  div:focus img {
		width:'.$ext_big_width.'px;
		height:'.$ext_big_height.'px;
	}
	.ext_css3_photo_gallery  div img {
		border: '.$ext_border_width.'px solid #'.$ext_border_color.';
		-moz-box-shadow: 2px 2px 4px #'.$ext_shadow_color.';
		-webkit-box-shadow: 2px 2px 4px #'.$ext_shadow_color.';
		-o-box-shadow: 2px 2px 4px #'.$ext_shadow_color.';
		-ms-box-shadow: 2px 2px 4px #'.$ext_shadow_color.';
		box-shadow: 2px 2px 4px #'.$ext_shadow_color.';
	}
</style>');
?>
<div class="mod_ext_css3_photo_gallery <?php echo $moduleclass_sfx ?>">	
	<div class="ext_css3_photo_gallery" style="width:<?php echo $ext_width;?>px;">
		<?php	
		for($n=0;$n < count($img);$n++) {			
			if( $img[$n] != '') {
				echo '<div tabindex="'.$n.'"><img class="carousel-image" src="'.$img[$n].'" alt="'.$alt[$n].'"/></div>';
			}
		}	
		?>
	</div>
	<div style="clear:both;"></div>
</div>